Skip to content

Transfer cycle work items ​

POST/api/v1/workspaces/{workspace_slug}/projects/{project_id}/cycles/{cycle_id}/transfer-issues/

Move incomplete work items from the current cycle to a new target cycle. Captures progress snapshot and transfers only unfinished work items.

Path Parameters ​

cycle_id:requiredstring

The unique identifier of the cycle.

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

Body Parameters ​

new_cycle_id:requiredstring

ID of the target cycle to transfer issues to

Scopes ​

projects.cycles:write

Transfer cycle work items
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/cycles/cycle-uuid/transfer-issues/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "new_cycle_id": "550e8400-e29b-41d4-a716-446655440000"
}'
Response200
json
{
  "message": "Success"
}